﻿@model AskarTecTest.Models.ClientModels.ClientFilterModel

@{
    ViewData["Title"] = "Index";
}

<h1>Clients</h1>

<p>
    <a asp-controller="Client" asp-action="CreateClient">Create New</a>
</p>

@if (Model.Qty == 0)
{
    <p>
        <a asp-controller="Client" asp-action="AutoFillingClientsData">Auto filling of clients data</a>
    </p>
}
else
{
    <p></p>
}



<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Client.Id)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client.BirthDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client.PhoneNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client.Address)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Client.SocialNumber)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.Clients)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Id)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.BirthDate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PhoneNumber)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Address)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.SocialNumber)
                </td>
                <td>
                    <a asp-controller="Client" asp-action="DetailsClient" asp-route-id="@item.Id" class="btn btn-primary">Details</a>
                </td>
            </tr>
        }
    </tbody>
</table>

@if (Model.ClientPageModel.HasPreviousPage)
{
    <a asp-action="Index"
       asp-route-SearchKey="@Model.SearchKey"
       asp-route-page="@(Model.ClientPageModel.PageNumber - 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-left"></i>
        Prev
    </a>
}

<span style="margin: 20px">@Model.ClientPageModel.PageNumber</span>

@if (Model.ClientPageModel.HasNextPage)
{
    <a asp-action="Index"
       asp-route-SearchKey="@Model.SearchKey"
       asp-route-page="@(Model.ClientPageModel.PageNumber + 1)"
       class="btn btn-outline-dark btn">
        <i class="glyphicon glyphicon-chevron-right"></i>
        Next
    </a>
}

